Bug 1024334 - Exception when trying to use "Markup Editor" on forms created by "Graphical Modeler"
Exception when trying to use "Markup Editor" on forms created by "Graphical M...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER6
: 6.0.0
Assigned To: Tihomir Surdilovic
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 08:29 EDT by Patrick Steiner
Modified: 2014-08-06 16:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 13464, Getting Started Guide-6-Beta-1 Build Date: 28-10-2013 13:46:10 Topic ID: 13469-547483 [Latest]
Last Closed: 2014-08-06 16:06:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Steiner 2013-10-29 08:29:46 EDT
Title: Exception when trying to use "Markup Editor" on forms created by "Graphical Modeler"

Describe the issue:
I have a simple process with a simple "Process Form", which I have created by selecting "Generate all Forms". I have opened this form in the Form Modeler but didn't change anything. After that, I have opened it in the "Markup Editor", made changes and tried to safe the file. This did create an "org.kie.commons.java.nio.file.FileAlreadyExistsException". 


Suggestions for improvement:
- Disable editing with "Markup Editor" if there are conflicts with the "Graphical Editor"


Additional information:
Comment 2 Neus Miras 2013-11-18 05:36:12 EST
There is a bug when the Markup editor asset has to be removed to be re-writed with the changes. 

The code in class TaskFormsEditorServlet, must be:

repository.deleteAssetFromPath(packageName + "/" + taskName + TASKFORM_NAME_EXTENSION + "." + formType);

instead of

repository.deleteAssetFromPath(packageName + taskName + TASKFORM_NAME_EXTENSION + "." + formType);

to delete the same asset thas is being created and to avoid the FileAlreadyExistsException.
Comment 4 Tihomir Surdilovic 2013-11-18 10:58:11 EST
fixed in designer master branch. will be moved to 6.0.x after community release.
Comment 5 Tihomir Surdilovic 2013-11-18 11:00:51 EST
fix in designer 6.0.x branch as well
Comment 6 Marek Baluch 2014-01-10 09:02:02 EST
Verified on ER7.

No more FileAlreadyExistsException exception.

Note You need to log in before you can comment on or make changes to this bug.